View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001130aMuleSharedfilespublic2007-06-19 14:432008-01-14 13:44
Reporterchemical 
Assigned ToXaignar 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0001130: Big downloads make amule really busy (playing with itself)
DescriptionHi Guys,

On Saturday it happened that I added a very big link via amulecmd to my amuled (8543305728 Bytes), which it happily accepted. However, a little bit later I noticed that something is very different than before: My router is having a very hard time supporting amuled since then. The load exploded from 0.4 to 2.5 (steady level) from the time I added the big link.

The core literally _lags_ as I _never_ experienced before. My Win32 GUI isn't able to connect at all or it takes about 1 minute. The connect from amulecmd needs about 30 seconds, every command lags about 20 seconds. This _never_ happened in any time.

Another evidence for a problem is the "Operation is successful."-answer if I keep "add ed2k://" [^] adding the link via amulecmd. It doesn't recognize the link as being on the list.

I downloaded files >4GB before, so this worked fine for me. But this is the first file I download which is even bigger.

Once I cancel the download of that file, everything goes INSTANTLY back to common behaviour. This is reproducable. If I re-add the big link, it takes about 1 to 2 hours for amule to become too busy again..

I some dev really wants to investigate into this issue :-) I'm happily willing to share the link.
Additional InformationCompiled with:

./configure --prefix=$HOME/amule/build --disable-optimize --enable-debug --enable-amule-daemon --enable-amulecmd --enable-webserver --enable-amule-gui --enable-wxcas --enable-cas --disable-upnp

If you have any hints (like running within gdb, using magic commands to get a clue) - just nudge me.
TagsNo tags attached.
Fixed in Revision
Operating SystemLinux with wxGTK 2.8.4
Attached Files

- Relationships

-  Notes
(0002328)
chemical (reporter)
2007-06-20 11:23

If I pause the download, the "load" of amuled is gone, too (similarly to cancelling a download). After resuming, the problem reappears.
(0002341)
chemical (reporter)
2007-07-02 23:12

amuled 2007-05-21 running on an ext3 filesystem. kernel 2.6.18.8, compiled with gcc 4.0.3
(0002342)
reise (reporter)
2007-07-03 23:16

Same behaviour as user chemical.

amuled 2007-07-02 running in ext3 file system
Linux xanax 2.6.15-26-686 0000001 SMP PREEMPT Fri Sep 8 20:16:40 UTC 2006 i686 GNU/Linux
gcc version 4.0.3 (Ubuntu 4.0.3-1ubuntu5)
(0002441)
chemical (reporter)
2007-11-17 20:00

This is still current with CVS 2007-11-07!

If you add 3 or 4 files >4GB, the daemon will hash like mad and causes a big load impact on the system and the throughput slaws down to nearly zero (both up & down).
(0002508)
chemical (reporter)
2008-01-14 12:42

It looks like this issue is fixed with at least 2008-01-01. I can't reproduce this anymore. You may close this ticket.

- Issue History
Date Modified Username Field Change
2007-06-19 14:43 chemical New Issue
2007-06-19 14:43 chemical Operating System => Linux with wxGTK 2.8.4
2007-06-20 11:23 chemical Note Added: 0002328
2007-07-02 23:12 chemical Note Added: 0002341
2007-07-03 23:16 reise Note Added: 0002342
2007-11-17 20:00 chemical Note Added: 0002441
2008-01-14 12:42 chemical Note Added: 0002508
2008-01-14 13:44 Xaignar Status new => resolved
2008-01-14 13:44 Xaignar Fixed in Version => SVN
2008-01-14 13:44 Xaignar Resolution open => fixed
2008-01-14 13:44 Xaignar Assigned To => Xaignar


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker